<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC, SWD
 * Site : http://dpfpic.com
 * Licence GNU_GPL
 **/

 # Control du token du formulaire
plxToken::validateFormToken($_POST);

# Vrification de l'existence du dossier /plugins/hits
if(!is_dir(PLX_ROOT.PLX_CONFIG_PATH.'plugins/hits')) {
	@mkdir(PLX_ROOT.PLX_CONFIG_PATH.'plugins/hits',0755,true);

	# Protection du rpertoire des hits
	plxUtils::write('', PLX_ROOT.PLX_CONFIG_PATH.'plugins/hits/index.html');
}

if(!empty($_POST)) {
	$plxPlugin->setParam('hdDisplay', $_POST['hdDisplay'], 'numeric');
	$plxPlugin->setParam('hdCat', $_POST['hdCat'], 'string');
	$plxPlugin->setParam('hdMenuName', $_POST['hdMenuName'], 'string');
	$plxPlugin->setParam('hdPos', $_POST['hdPos'], 'numeric');
	$plxPlugin->setParam('hdButton', $_POST['hdButton'], 'string');
	$plxPlugin->setParam('hdBtPosition', $_POST['hdBtPosition'], 'string');
	$plxPlugin->setParam('hdBtColor', $_POST['hdBtColor'], 'string');
	$plxPlugin->setParam('hdBtColorHover', $_POST['hdBtColorHover'], 'string');
	$plxPlugin->setParam('hdBtColorTitle', $_POST['hdBtColorTitle'], 'string');
	$plxPlugin->setParam('hdBtColorHits', $_POST['hdBtColorHits'], 'string');
	$plxPlugin->setParam('hdSize', $_POST['hdSize'], 'numeric');
	$plxPlugin->setParam('hdHits', $_POST['hdHits'], 'numeric');
	$plxPlugin->setParam('hdDownloadFolder', $_POST['hdDownloadFolder'], 'string');
	$plxPlugin->setParam('hdImgPerso', $_POST['hdImgPerso'], 'numeric');
	$plxPlugin->setParam('hdBtcolorPerso', $_POST['hdBtcolorPerso'], 'string');
	$plxPlugin->setParam('hdBtcolorHoverPerso', $_POST['hdBtcolorHoverPerso'], 'string');
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plxHrefDownload');
	exit;
}

$hdDisplay =  $plxPlugin->getParam('hdDisplay')=='' ? 1 : $plxPlugin->getParam('hdDisplay');
$hdCat =  $plxPlugin->getParam('hdCat')=='' ? '001' : $plxPlugin->getParam('hdCat');
$hdMenuName =  $plxPlugin->getParam('hdMenuName')=='' ? $plxPlugin->getLang('L_HD_DOWNLOAD') : $plxPlugin->getParam('hdMenuName');
$hdPos =  $plxPlugin->getParam('hdPos')=='' ? 2 : $plxPlugin->getParam('hdPos');
$hdButton =  $plxPlugin->getParam('hdButton')=='' ? $plxPlugin->getLang('L_HD_DOWNLOAD') : $plxPlugin->getParam('hdButton');
$hdBtPosition =  $plxPlugin->getParam('hdBtPosition')=='' ? 1 : $plxPlugin->getParam('hdBtPosition');
$hdBtColor =  $plxPlugin->getParam('hdBtColor')=='' ? 1 : $plxPlugin->getParam('hdBtColor');
$hdBtColorHover =  $plxPlugin->getParam('hdBtColorHover')=='' ? 1 : $plxPlugin->getParam('hdBtColorHover');
$hdBtColorTitle =  $plxPlugin->getParam('hdBtColorTitle')=='' ? 'CA2A00' : $plxPlugin->getParam('hdBtColorTitle');
$hdBtColorHits =  $plxPlugin->getParam('hdBtColorHits')=='' ? 'FFFFFF' : $plxPlugin->getParam('hdBtColorHits');
$hdSize =  $plxPlugin->getParam('hdSize')=='' ? 0 : $plxPlugin->getParam('hdSize');
$hdHits =  $plxPlugin->getParam('hdHits')=='' ? 1 : $plxPlugin->getParam('hdHits');
$hdDownloadFolder =  $plxPlugin->getParam('hdDownloadFolder')=='' ? 'data/medias/' : $plxPlugin->getParam('hdDownloadFolder');
$hdImgPerso = $plxPlugin->getParam('hdImgPerso')=='' ? 0 : $plxPlugin->getParam('hdImgPerso');
$hdBtcolorPerso =  $plxPlugin->getParam('hdBtcolorPerso')=='' ? '' : $plxPlugin->getParam('hdBtcolorPerso');
$hdBtcolorHoverPerso =  $plxPlugin->getParam('hdBtcolorHoverPerso')=='' ? '' : $plxPlugin->getParam('hdBtcolorHoverPerso');

if($plxAdmin->aCats) { # recuperation des catgories
	$cat_id = array();
	$cat_name = array();
		foreach($plxAdmin->aCats as $k=>$v) {
			if ($v['active'] == 1) {
			$cat_array[$k] = $v['name'];
			}
		}
}
?>
<?php if ($plxAdmin->aConf['version'] < '5.4') { ?>
<h2><?php echo $plxPlugin->getInfo('title') ?></h2>
<?php } ?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS; ?>plxHrefDownload/css/config.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php echo PLX_PLUGINS; ?>plxHrefDownload/js/config.js"></script>
<div>
	<span class="tab_0 tab" id="tab_01" onclick="javascript:change_tab('01');"><?php $plxPlugin->lang('L_HD_TAB01') ?></span>
	<span class="tab_0 tab" id="tab_02" onclick="javascript:change_tab('02');"><?php $plxPlugin->lang('L_HD_TAB02') ?></span>
	<span class="tab_0 tab" id="tab_03" onclick="javascript:change_tab('03');"><?php $plxPlugin->lang('L_HD_TAB03') ?></span>
</div>
<form class="inline-form" id="form_plxHrefDownload" action="parametres_plugin.php?p=plxHrefDownload" method="post">
	<fieldset>
	<div class="content_tab" id="content_tab_01">
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdDisplay"><?php echo $plxPlugin->lang('L_HD_DISPLAY') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('hdDisplay',array('1'=>L_YES,'0'=>L_NO),$hdDisplay); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdMenuName"><?php $plxPlugin->lang('L_HD_MENUNAME') ?>&nbsp;:</label>
			<?php plxUtils::printInput('hdMenuName',$hdMenuName,'text','32-32') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdCat"><?php $plxPlugin->lang('L_HD_TITLE') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('hdCat', $cat_array, $hdCat) ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdPos"><?php $plxPlugin->lang('L_HD_POS') ?>&nbsp;:</label>
			<?php plxUtils::printInput('hdPos',$hdPos,'text','2-5') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdButton"><?php $plxPlugin->lang('L_HD_BUTTON') ?>&nbsp;:</label>
			<?php plxUtils::printInput('hdButton',$hdButton,'text','32-32') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdBtPosition"><?php echo $plxPlugin->lang('L_HD_BTPOSITION') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('hdBtPosition',array('L'=>$plxPlugin->getlang('L_HD_LEFT'),'C'=>$plxPlugin->getlang('L_HD_CENTER'),'R'=>$plxPlugin->getlang('L_HD_RIGHT')),$hdBtPosition); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdColor"><?php echo $plxPlugin->lang('L_HD_BTCOLOR') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('hdBtColor',array('grey'=>$plxPlugin->getlang('L_HD_GREY'),'grey-dark'=>$plxPlugin->getlang('L_HD_GREYDARK'),'blue'=>$plxPlugin->getlang('L_HD_BLUE'),'blue-dark'=>$plxPlugin->getlang('L_HD_BLUEDARK'),'orange'=>$plxPlugin->getlang('L_HD_ORANGE'),'orange-dark'=>$plxPlugin->getlang('L_HD_ORANGEDARK'),'green'=>$plxPlugin->getlang('L_HD_GREEN'),'green-dark'=>$plxPlugin->getlang('L_HD_GREENDARK'),'pink'=>$plxPlugin->getlang('L_HD_PINK'),'pink-dark'=>$plxPlugin->getlang('L_HD_PINKDARK')),$hdBtColor); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdColorHover"><?php echo $plxPlugin->lang('L_HD_BTCOLORHOVER') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('hdBtColorHover',array('grey'=>$plxPlugin->getlang('L_HD_GREY'),'grey-dark'=>$plxPlugin->getlang('L_HD_GREYDARK'),'blue'=>$plxPlugin->getlang('L_HD_BLUE'),'blue-dark'=>$plxPlugin->getlang('L_HD_BLUEDARK'),'orange'=>$plxPlugin->getlang('L_HD_ORANGE'),'orange-dark'=>$plxPlugin->getlang('L_HD_ORANGEDARK'),'green'=>$plxPlugin->getlang('L_HD_GREEN'),'green-dark'=>$plxPlugin->getlang('L_HD_GREENDARK'),'pink'=>$plxPlugin->getlang('L_HD_PINK'),'pink-dark'=>$plxPlugin->getlang('L_HD_PINKDARK')),$hdBtColorHover); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdBtColorTitle"><?php $plxPlugin->lang('L_HD_BTCOLORTITLE') ?>&nbsp;:</label>
			<?php plxUtils::printInput('hdBtColorTitle',$hdBtColorTitle,'text','6-6',false,'color') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdSize"><?php echo $plxPlugin->lang('L_HD_SIZE') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('hdSize',array('1'=>L_YES,'0'=>L_NO),$hdSize); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdHits"><?php echo $plxPlugin->lang('L_HD_HITS') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('hdHits',array('1'=>L_YES,'0'=>L_NO),$hdHits); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdBtColorHits"><?php $plxPlugin->lang('L_HD_BTCOLORHITS') ?>&nbsp;:</label>
			<?php plxUtils::printInput('hdBtColorHits',$hdBtColorHits,'text','6-6',false,'color') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdDownloadFolder"><?php $plxPlugin->lang('L_HD_DOWNLOADFOLDER') ?>&nbsp;:</label>
			<?php plxUtils::printInput('hdDownloadFolder',$hdDownloadFolder,'text','32-32') ?>
			<a class="hint"><span><?php echo L_HELP_SLASH_END ?></span></a>
			</div>
		</div>
	</div>
	<div class="content_tab" id="content_tab_02">
		<div class="grid">
			<div class="col sml-12">
			<label for="id_hdImgPerso"><?php echo $plxPlugin->lang('L_HD_IMG_PERSO') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('hdImgPerso',array('1'=>L_YES,'0'=>L_NO),$hdImgPerso); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_hdBtcolorPerso">
					<?php echo $plxPlugin->lang('L_HD_BTCOLOR_PERSO') ?>&nbsp;:&nbsp;
					<a title="<?php echo L_THUMBNAIL_SELECTION ?>" id="hdBtcolorPerso" href="javascript:void(0)" onclick="mediasManager.openPopup('id_hdBtcolorPerso', true)" style="outline:none; text-decoration: none">+&nbsp;</a>
					<a class="hint"><span><?php echo $plxPlugin->lang('L_HD_IMG_PERSO_HELP') ?></span></a>
				</label>
				<?php plxUtils::printInput('hdBtcolorPerso',plxUtils::strCheck($hdBtcolorPerso),'text','170-255',false,'full-width','','onkeyup="refreshImg(this.value)"'); ?>
				<?php
				$imgUrl = PLX_ROOT.$hdBtcolorPerso;
				if(is_file($imgUrl)) {
					echo '<div id="id_hdBtcolorPerso_img"><img src="'.$imgUrl.'" alt="" /></div>';
				} else {
					echo '<div id="id_hdBtcolorPerso_img"></div>';
				}
				?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
				<label for="id_hdBtcolorHoverPerso">
					<?php echo $plxPlugin->lang('L_HD_BTCOLOR_HOVER_PERSO') ?>&nbsp;:&nbsp;
					<a title="<?php echo L_THUMBNAIL_SELECTION ?>" id="hdBtcolorPerso" href="javascript:void(0)" onclick="mediasManager.openPopup('id_hdBtcolorHoverPerso', true)" style="outline:none; text-decoration: none">+&nbsp;</a>
					<a class="hint"><span><?php echo $plxPlugin->lang('L_HD_IMG_PERSO_HELP') ?></span></a>
				</label>
				<?php plxUtils::printInput('hdBtcolorHoverPerso',plxUtils::strCheck($hdBtcolorHoverPerso),'text','170-255',false,'full-width','','onkeyup="refreshImg(this.value)"'); ?>
				<?php
				$imgUrl = PLX_ROOT.$hdBtcolorHoverPerso;
				if(is_file($imgUrl)) {
					echo '<div id="id_hdBtcolorHoverPerso_img"><img src="'.$imgUrl.'" alt="" /></div>';
				} else {
					echo '<div id="id_hdBtcolorHoverPerso_img"></div>';
				}
				?>
			</div>
		</div>
	</div>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_HD_SAVE') ?>" />
		</p>
	</fieldset>
</form>
<div class="content_tab" id="content_tab_03">
	<div id="update">
		<?php $infoPlugin = $plxPlugin->hrefdownload->UpdatePlugin('plxHrefDownload'); ?>
		<p><?php $plxPlugin->lang('L_VP_ACTUAL_VERSION'); ?>&nbsp;:&nbsp;<?php echo $infoPlugin['actualversion'].' ('.$infoPlugin['actualdate'].')'; ?></p>
		<?php if ($infoPlugin['status'] == 0) { ?>
			<p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_ERROR'); ?></span></p>
			<p><a href="http://sudwebdesign.free.fr/depot.php#<?php echo get_class($plxPlugin) ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxHrefDownload/img/vers/up_warning.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 1) { ?>
			<p><?php $plxPlugin->lang('L_VP_LAST_VERSION'); ?>&nbsp;<?php echo $infoPlugin['newplugin']; ?>.</p>
			<p><img src="<?php echo PLX_PLUGINS; ?>plxHrefDownload/img/vers/up_ok.gif" alt=""></p>
		<?php } elseif ($infoPlugin['status'] == 2) { ?>
			<p><?php $plxPlugin->lang('L_VP_NEW_VERSION'); ?><p>
			<p><span class="color"><?php echo $infoPlugin['newplugin']; ?>&nbsp;(<?php echo $infoPlugin['newversion']; ?>&nbsp;-&nbsp;<?php echo $infoPlugin['newdate']; ?>)</span></p>
			<p><?php $plxPlugin->lang('L_VP_NEW2_VERSION'); ?>.</p>
			<p><a href="<?php echo $infoPlugin['newurl']; ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxHrefDownload/img/vers/up_download.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 3) {?>
		    <p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_DESACTIVED'); ?></span></p>
			<p><a href="http://sudwebdesign.free.fr/depot.php#<?php echo get_class($plxPlugin) ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS; ?>plxHrefDownload/img/vers/up_warning.gif" alt=""></a></p>
		<?php } ?>
	</div>
</div>
<script type="text/javascript">
var anc_tab = '01';
change_tab(anc_tab);
</script>

